﻿# coding: utf-8
# PILは画像処理を行うためのパッケージ
from PIL import Image

# ここでインスタンス化を行い、open()によって指定の画像を開く
img = Image.open('G:\\(Python)\\pic1.jpg')

# まずは、画像のRGBを入れ替える
# Imageのsplit()は画像のR,G,Bを分離するメソッド
r,g,b=img.split()
# 一方で、merge()はR,G,Bを合成して1枚の画像にするメソッド
# そのため、ここでR,G,Bの順番を入れ替えると画像の敗色が変化する
conv_img=Image.merge("RGB",(b,g,r))
# save()は画像の保存を行う
conv_img.save('G:\\(Python)\\pic2.jpg')

# 続いて、白黒画像
bw_img=img.convert('1')
bw_img.save('G:\\(Python)\\pic3.jpg')

# グレースケールの変更
gy_img=img.convert("L")
gy_img.save('G:\\(Python)\\pic4.jpg')

# 回転
img.transpose(Image.ROTATE_90).save('G:\\(Python)\\pic5.jpg')

# show()で表示
conv_img.show()