﻿# tkinterは標準で含まれているGUI作成ツール
import tkinter as tk
import tkinter.messagebox as msg

# ここでウィンドウを生成
base = tk.Tk()

# 辞書型のメニューを作成
menu={0:'ラーメン',1:'チャーハン',2:'餃子',3:'カレーライス'}

check_value={}

# メニューの中身を左上寄せで順番に並べる
for i in range(len(menu)):
    check_value[i]=tk.BooleanVar()
# anchorはC#のものと同じで位置を設定するためのキーワード。WはWestの略で左寄せを表す
    tk.Checkbutton(base, variable=check_value[i], text=menu[i]).pack(anchor=tk.W)

# ボタンを押したときに反応する関数の作成
# チェックがつけられた項目だけを選んでコンソールに表示する関数
# msgはメッセージウィンドウを表示する
def buy():
    for i in check_value:
        if (check_value[i].get()==True):
            response=msg.askyesno('注文確認', '以上で注文を確定しますか？')
            if (response==True):
                msg.showinfo('注文確定', 'ご注文ありがとうございます。')
            else:
                msg.showinfo('キャンセル', 'またのご利用お待ちしております。')

tk.Button(base, text='注文', bg='red', command=buy).pack()
base.mainloop()